Name: beh
Version: 0.0
Release: alt0.0

Summary: Backend Error Handler for CUPS
License: GPL v2
Group:System/Configuration/Printing 

Url: http://linuxprinting.org/beh
Source1: %name
Packager: Michael Shigorin <mike@altlinux.ru>

BuildArch: noarch

%description
A wrapper for CUPS backends to make error handling configurable

Usually, if a CUPS backend exits with an error status other than zero
(for example if a printer is not turned on or not reachable on the
network), CUPS disables the print queue and one can only print again
if a system administrator re-enables the queue manually. Even restarting
CUPS (or rebooting) does not re-enable disabled queues.

--- NOTE ---
Since CUPS version 1.2 there should be no longer the need for
the "beh" backend wrapper because CUPS 1.2.x provides the
ErrorPolicy in /etc/cups/printers.conf if the backend fails
with exit code 1 (CUPS_BACKEND_FAILED), see
http://www.cups.org/documentation.php/ref-printers-conf.html
and http://www.cups.org/documentation.php/man-backend.html

Use it by default for backend error handling; use "beh" wrapper
backend only for advanced configuration.

%install
install -pD -m755 %SOURCE1 %buildroot%_libdir/cups/backend/%name

%files
%_libdir/cups/backend/%name

%changelog
* Tue Jan 02 2007 Michael Shigorin <mike@altlinux.org> 0.0-alt0.0
- accepted proposal from bug #10580

* Fri Jan 27 2006 Michael Shigorin <mike@altlinux.org> 0.0-alt0
- packaged for ALT Linux

